%define upstream_name WeakRef
%define upstream_version 0.01

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 20
Summary:	An API to the Perl weak references
License:	GPL or Artistic
Group:		Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/modules/by-module/WeakRef/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel


%description
A patch to Perl 5.005_55 by the author implements a core API for weak
references. This module is a Perl-level interface to that API, allowing weak
references to be created in Perl.

A weak reference is just like an ordinary Perl reference except that it isn't
included in the reference count of the thing referred to. This means that once
all references to a particular piece of data are weak, the piece of data is
freed and all the weak references are set to undef. This is particularly useful
for implementing circular data structures without memory leaks or caches of
objects.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-20.mga6
+ Revision: 1035691
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-19.mga6
+ Revision: 958204
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.10.0-18.mga6
+ Revision: 845508
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.10.0-17.mga6
+ Revision: 841282
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.01-17.mga5
+ Revision: 743804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-16.mga5
+ Revision: 686875
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.01-15.mga5
+ Revision: 631877
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.01-14.mga4
+ Revision: 525067
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.01-13.mga4
+ Revision: 431831
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.01-12.mga3
+ Revision: 374816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.01-11.mga3
+ Revision: 251316
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.01-10.mga2
+ Revision: 105106
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.01-9.mga1
+ Revision: 31461
- mageia rebuild
- imported package perl-WeakRef


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.01-9mdv2011.0
+ Revision: 555215
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.01-8mdv2010.0
+ Revision: 430655
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.01-7mdv2009.0
+ Revision: 258784
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.01-6mdv2009.0
+ Revision: 246699
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.01-4mdv2008.1
+ Revision: 152393
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-3mdv2008.0
+ Revision: 67090
- rebuild


* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-2mdv2007.0
- Rebuild

* Wed Apr 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdk 
- first mandriva release

